Skip to main content
GET
Get cache entry details

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

github_installation_reference
string
required

GitHub installation ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
github_repository_reference
string
required

GitHub repository ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$
github_cache_entry_id
string
required

GitHub cache entry ID Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$

Response

A GitHub Cache Entry

installation_name
string
required

name of the GitHub installation containing the repository containing the cache entry

repository_name
string
required

name of the GitHub repository containing the cache entry

id
string
required

ID of the GitHub cache entry

Pattern: ^ge[0-9a-hj-km-np-tv-z]{24}$
Example:

"gefg7td83em22qfw9pq5xyfqb7"

key
string
required

GitHub cache entry key

scope
string
required

Branch scope of the GitHub cache entry

size
integer
required

Size of the GitHub cache entry in bytes

created_at
string<date-time>
required

Timestamp of when the cache entry was created

last_accessed_at
string<date-time> | null
required

Timestamp of when the cache entry was last accessed